Page MenuHomePhabricator

Migration of Research & Data to Phabricator
Closed, ResolvedPublic

Description

Let's track progress on the migration of this team to Phabricator. Feel free editing this task description.

  • Team member assigned to this task
  • Link(s) to the current projects in Mingle, Trello, other
  • (optional) Have you scheduled a team meeting with @Qgil to discuss the migration? (yyyy-mm-dd)
  • Blockers of the migration identified: (list the task numbers between {curly brackets})
  • Planned date for the migration/creation of a first real project: yyyy-mm-dd
  • Do you plan to have all your projects moved by the end of 2014? Yes/No, and if not, why

(...)

  • More than half of our team members and ongoing sprints are working in Phabricator now (yyyy-mm-dd)
  • All our projects have been moved to Phabricator. Mission completion! (yyyy-mm-dd)

Event Timeline

Qgil created this task.Oct 23 2014, 7:49 AM
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Tnegrin.
Critters11 closed this task as Resolved.Oct 24 2014, 11:42 PM
Critters11 removed a project: Analytics.
Qgil reopened this task as Open.Oct 25 2014, 12:04 AM
Qgil added a comment.Nov 27 2014, 8:10 AM

As per T434 , in the following days I plan to scan the levels of use of Phabricator by all the WMF product & engineering teams. Please keep the description of this task up to date.

As discussed, the scrumbugz style burndowns are blockers for our migration (T1322)

We're excited for this feature! Let us know if we can help.

In relation to T434,

Analytics-Engineering looks pretty active. Can we consider this team fully migrated to Phabricator, or are there still tasks / sprints / projects active elsewhere?

Research seems to be still 100% in Trello. Can you provide a link to access their board(s), please?

Are there more teams within in Analytics?

PS: T1322 is planned for this Wednesday.

Hi Quim -- we really need the sprint extension to confirm our migration. If this doesn't meet our needs, we'll need to revisit our use of Phabricator.

R&D does not have plans to move off of Trello at this time.

No more teams within Analytics.

-Toby

Qgil added a subscriber: Ironholds.Dec 14 2014, 9:19 PM

@Ironholds has started a discussion about Analytics Research & Data migrating to Phabricator in the Analytics mailing list. It's a very interesting post that could be extrapolated to most WMF tech teams.

Qgil renamed this task from Migration of Analytics to Phabricator to Migration of Analytics Research & Data to Phabricator.Dec 29 2014, 12:27 PM
Qgil removed a project: Analytics-Engineering.
Qgil added a comment.Dec 29 2014, 12:30 PM

I removed Analytics-Engineering because their migration is complete.

Note that "Restricted Project" in the task description refers to Analytics Research & Data. Someone tweaked its permissions.

Who should be the owner of this task? It would be good to have a point of contact.

Qgil added a comment.Feb 27 2015, 10:29 AM

If/when you decide to move to Phabricator entirely, will you need migration of Trello cards to Phabricator tasks, aka someone to run T821: Trello -> Phabricator migration script?

@Qgil yes we'll definitely need this, I think we're not yet ready though (we need to review the other blockers first and I want to make sure we don't start creating duplicate cards until we're completely ready for the migration).

Qgil added a comment.Mar 27 2015, 1:08 PM

Hi, I'm preparing the Phabricator migration statistics for the Developer-Advocacy quarterly review. Currently T434: Show percentage of teams migrated to Phabricator for project management reports that your situation with Phabricator is

0	  Not started

Is this accurate?

ggellerman moved this task from To Triage to Team radar on the Team-Practices board.

I just learned about #Search-and-Discovery-Research-and-Data-Sprint

Progress!

Qgil changed the status of subtask T823: Implement Phabricator Spaces from Stalled to Open.May 12 2015, 7:03 AM
Spage added a comment.EditedMay 13 2015, 11:05 PM

meet with @DarTar and @ggellerman:

The main Trello board to migrate is Research and Data. Dario moved the one column in the Trello "Research and Data - backlog" board to migrate into this.

  1. ☑ Need list of user name mappings Trello -> Phabricator
  2. ☑Heads up migration is starting
  3. ☑ spage migrate one column, probably "Staged (ready to execute)"
  4. ☑ Grace and Dario look at it
  5. ☑ Heads up the entire migration is happening
  6. ☑ spage migrates the rest
  7. ☑ Grace renames the Trello boards to append MIGRATED TO PHAB, etc.

Their plan is to have all tasks on a big Research workboard, have tags for specific Research projects like VisualEditor Xxx research
, and then filter the workboard by these tags (workboard > Filter > Advanced Filter... > Projects ) to see the status of particular projects.

@Qgil Search-and-Discovery-Research-and-Data-Sprint is not related to my team, it's an internal board used by the S/D team.

@Spage the following are done (copied you)

  1. Need list of user name mappings Trello -> Phabricator
  2. Heads up migration is starting

I migrated "Staged (ready to execute)", e.g. Trello card mid Article recommendation for Content Translation became T99040. Details on Trello to Phabricator/Research import page.

@ggellerman, @DarTar, step 4 above. Try creating the equivalent column in phabricator and dragging cards, look for obvious errors beyond the missing features mentioned in T821: Trello -> Phabricator migration script, let me know if it's OK to migrate the rest.

Thanks, @Spage!

I have created column for Staged (ready to execute) in Phab Research and Data board:

  1. moved cards relevant cards from backlog to Staged (ready to execute) column
  2. reviewed each card and replicated Trello comments that didn't make it over to Phab Research and Data tasks

Please migrate the next Trello swim lane.

DarTar renamed this task from Migration of Analytics Research & Data to Phabricator to Migration of Research & Data to Phabricator.May 14 2015, 10:22 PM

@Spage Please migrate Incoming requests (external) and In Progress sequentially and check with me after each import.

Then I can manually create cards fromTime Sensitive and Blocked in Trello in Phab myself.

Spage moved this task from Staged to Time Sensitive on the Research board.May 15 2015, 12:50 AM
Spage moved this task from Time Sensitive to In Progress on the Research board.
Spage added a comment.EditedMay 15 2015, 12:57 AM

I migrated the Trello columns Completed - In Progress - Incoming requests (external) - Time sensitive - Blocked, and I think Grace has dragged the Phab tasks into shape. Are we done?

𝄞 We are Phamily, I got all my sisters with me ♬ – Sister Sledge

Thanks, @Spage!

I think that we are done with the Research and Data board from Trello.

We need to groom the Research and Data backlog board and migrate what survives....grooming is scheduled for Thurs 2015-05-21.

@DarTar - does that sound correct?

Research team is in Phab. Per @DarTar the remaining Trello boards do not need to be migrated.

Qgil added a comment.Jun 10 2015, 12:23 PM

Can we Close Resolved, then?

DarTar closed this task as Resolved.Jun 10 2015, 1:45 PM

yup

Restricted Application added a subscriber: scfc. · View Herald TranscriptJul 24 2015, 11:21 PM